## org.hibernate.envers.configuration.metadata
Class MetadataTools.ColumnNameIterator

    java.lang.Object
      org.hibernate.envers.configuration.metadata.MetadataTools.ColumnNameIterator

All Implemented Interfaces:
  Iterator<String>

Enclosing class:
  MetadataTools

    public abstract static class MetadataTools.ColumnNameIterator

extends Object
implements Iterator<String>

An iterator over column names.

Constructor Summary
`MetadataTools.ColumnNameIterator()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Constructor Detail

### MetadataTools.ColumnNameIterator

    public MetadataTools.ColumnNameIterator()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.